Unterstützte Plattformen für AEM Forms on JEE supported-platforms-for-aem-forms-on-jee

Unterstützte Plattformen supported-platforms

Adobe hat ein Vollinstallationsprogrammmit AEM 6.5 Forms Service Pack 18 (6.5.18.0) on JEE zusammen mit den Patch-Installationsprogrammen veröffentlicht. Das vollständige Installationsprogramm unterstützt neue Plattformen, während das Patch-Installationsprogramm nur Fehlerkorrekturen enthält.
Wenn Sie eine Neuinstallation durchführen oder die Verwendung der neuesten Software für Ihre AEM 6.5 Forms on JEE-Umgebung planen, empfiehlt Adobe die Verwendung des Vollinstallationsprogramms für AEM 6.5.18.0 Forms on JEEvom 31. August 2023 anstelle des AEM 6.5 Forms-Installationsprogramms vom 08. April 2019 oder des AEM 6.5.12 Forms-Installationsprogramms vom 03. März 2022.

Unterstützungsebenen support-levels

AEM Forms on JEE-Server kann mit einer beliebigen Kombination von unterstützten Betriebssystemen, Anwendungs-Servern, Datenbanken, Datenbanktreibern, JDK-, LDAP-Servern und E-Mail-Servern eingerichtet werden.

In diesem Dokument werden die unterstützten Client- und Server-Plattformen für AEM Forms on JEE aufgeführt. Adobe bietet verschiedene Unterstützungsebenen an, die für von Adobe empfohlene und andere Konfigurationen gelten. In diesem Dokument werden auch andere unterstützte Software und deren Versionen, Ausnahmen, Patch-Definitionen sowie die Richtlinien zur Unterstützung für Software-Patches von Drittanbietern aufgeführt.

NOTE
  • Eine vollständige Liste der Ausnahmen für unterstütze Server-Plattformen finden Sie unter Ausnahmen für unterstützte Server-Plattformen.
  • AEM Forms on JEE unterstützt nur englische, französische, deutsche und japanische Versionen der unterstützten Betriebssysteme und Anwendungen.

Upgrade- und Support-Richtlinie

Vollständiges Installationsprogramm

  • Upgrade-Unterstützung für vollständige Installationsprogramme: Ein vollständiges Installationsprogramm wird mit jeder sechsten AEM Service Pack-Version veröffentlicht. Beispielsweise wurde ein vollständiges Installationsprogramm mit den Versionen 6.5.12.0 und 6.5.18.0 SP veröffentlicht. AEM Forms ermöglicht direkte Upgrades ausschließlich von den letzten beiden Vollinstallationen aus. Beispielsweise ermöglicht AEM Forms direkte Aktualisierungen auf Version 6.5.18.0 nur von den letzten beiden vollständigen Installationsprogrammen, nämlich 6.5.12.0 und 6.5.6.0. Wenn Sie ein Upgrade von einem früheren Upgrade benötigen, können Sie ein Upgrade mit mehreren Hosts verwenden, um zunächst zu einer unterstützten Vollversion des Installationsprogramms zu wechseln und dann zur neuesten Version zu wechseln.

  • Einstellung und Entfernung: Die Plattformunterstützung wird mit jeder vollständigen Version des Installationsprogramms aktualisiert. Jede Software, die während einer vollständigen Version des Installationsprogramms in der Plattformmatrix als veraltet gekennzeichnet wurde, kann in einer nachfolgenden vollständigen Version des Installationsprogramms aus der unterstützten Plattformmatrix entfernt werden, um das Ende der Unterstützung für die Software anzugeben.

Service Packs

  • Service Pack-Abdeckung: Adobe bietet technischen Support für AEM Forms-Umgebungen mit den neuesten sechs Service Packs. Wenn Ihre aktuelle Version vor den letzten sechs Service Packs liegt, empfiehlt Adobe dringend ein Upgrade auf die neueste Version, um optimale Leistung, Sicherheit und kontinuierlichen Support zu erzielen.

  • Richtlinien für Patch-Installationsprogramme: Während die Patch-Installationsprogramme zur Aktualisierung verwendet werden, ist es wichtig zu überprüfen, ob die zugrunde liegende Vollinstallationsversion nicht älter als zwei Versionen ist. Stellen Sie beispielsweise während der Installation des Service Packs 6.5.19.0 sicher, dass die zugrunde liegende Vollinstallationsversion entweder 6.5.18.0 oder 6.5.12.0 ist.

  • Patch Upgrade-Support: Sie können weiterhin auf das neueste Service Pack aktualisieren, bis Sie auch auf die neuesten unterstützten Plattformen aktualisieren. Beispielsweise ist ein Upgrade von Service Pack 6.5.12.0 auf 6.5.19.0 möglich, vorausgesetzt, Sie wechseln zu einer Plattformkombination, die für 6.5.19.0 unterstützt wird.

Empfohlene Konfigurationen recommendedconfigurations

Adobe empfiehlt die folgenden Konfigurationen und bietet vollständige oder eingeschränkte Unterstützung im Rahmen des Standard-Software-Wartungsvertrags:

Unterstützungsebene
Beschreibung
A: Unterstützt
Adobe bietet vollständige Unterstützung und Wartung für diese Konfiguration. Diese Konfiguration wird über den Qualitätssicherungsvorgang von Adobe abgedeckt.
R: Eingeschränkte Unterstützung
Adobe bietet vollständige Unterstützung für diese Konfiguration, sofern bestimmte Voraussetzungen erfüllt sind. Kontaktieren Sie den Unternehmens-Support von Adobe, um mehr über die Voraussetzungen zu erfahren und stellen Sie eine Supportanfrage.
L: Begrenzte Unterstützung
Adobe bietet vollständige Unterstützung und Wartung für diese Konfiguration, sofern bestimmte Voraussetzungen erfüllt sind. In der Konfiguration sind nicht alle Funktionen verfügbar. Kontaktieren Sie den Unternehmens-Support von Adobe, um mehr über die Voraussetzungen zu erfahren, und stellen Sie eine Supportanfrage.

Nicht unterstützte Konfigurationen unsupported-configurations

Unterstützungsebene
Beschreibung
E: Funktionsfähigkeit wird erwartet
Es wird erwartet, dass die Konfiguration funktioniert, und es wird nichts Gegenteiliges berichtet.
Z: Nicht unterstützt
Die Konfiguration wird nicht unterstützt. Adobe macht keine Angaben dazu, ob die Konfiguration funktioniert, und unterstützt sie nicht.
NOTE
Um Kunden und Kundinnen von AEM Forms dabei zu helfen, die Nutzungskosten zu reduzieren, die Bereitstellungsarchitektur zu vereinfachen und den Entwicklungs-Stack zu modernisieren, wird die Enterprise-Plattform Adobe Experience Manager von Anwendungsserver-basierten Bereitstellungen auf eigenständige OSGi-basierte Bereitstellungen umgestellt. Adobe unterstützt weiterhin den JEE-Stack von AEM Forms mit einer reduzierten Matrix von Infrastrukturkomponenten.
Mit der Veröffentlichung von 6.5 werden die folgenden Infrastrukturkomponenten, die von Adobe-Kundinnen und -Kunden am wenigsten genutzt werden, nicht mehr unterstützt:
  • IBM® DB2®-Datenbank
  • IBM® AIX®- und Sun Solaris™-Betriebssysteme
Bei neuen Installationen wird empfohlen, AEM Forms möglichst auf dem modernen OSGi-Stack bereitzustellen, um die neuesten Innovationen für responsive Adaptive Forms für mobile, interaktive mehrkanalige Kommunikation und Backend-Datenintegrationen mithilfe des Formulardatenmodells optimal zu nutzen.
Adobe erkennt an, dass bestehende Benutzerinnen und Benutzer AEM Forms on JEE Stack weiterhin bereitstellen müssen. In solchen Fällen erfordert Adobe die Bereitstellung von AEM Forms JEE auf unterstützter Infrastruktur, wie in dieser Dokumentation beschrieben. Wenn Sie ein Upgrade auf AEM 6.5 Forms durchführen und eine nicht unterstützte Plattform aus der vorherigen Version von AEM Forms verwenden, können Sie sich an den Adobe Support wenden, um Hilfe beim Upgrade auf eine unterstützte Plattform zu erhalten.

Java™ Virtual Machines (JVM) java-virtual-machines-jvm

Adobe Experience Manager Forms erfordert eine Java™ Virtual Machine, die durch die Java™ Development Kit(JDK)-Verteilung bereitgestellt wird. Adobe Experience Manager funktioniert mit den folgenden Versionen der Java™ Virtual Machine:

Plattform
Unterstützungsebene
Unterstützte Patch-Definitionen
Oracle Java™ SE 11 (64 Bit) [8]
A: Unterstützt
Nebenversionen und Updates
Azul Zulu OpenJDK 11 – 64 Bit
Z: Nicht unterstützt
Azul Zulu OpenJDK 8 – 64 Bit
Z: Nicht unterstützt
Oracle Java™ SE 8 (64 Bit)
A: Unterstützt
Nebenversionen und Updates
IBM® J9 Virtual Machine (Build 2.9, JRE 1.8.0) IBM® JDK SR6-FP26
A: Unterstützt
Nebenversionen und Updates
IBM® JAVA1.8.0_291(Build 8.0.6.30)
A: Unterstützt
Nebenversionen und Updates
NOTE
  • Verfolgen Sie die Sicherheitsbulletins vom Java™-Anbieter, um den Schutz und die Sicherheit von Produktionsumgebungen sicherzustellen und die neuesten Java™-Aktualisierungen zu installieren.
  • AEM Forms on JEE unterstützt nur 64-Bit-JVMs für Produktionsumgebungen.

Datenbanken und CRX-Persistenz databases-and-crx-persistence

Plattform
Beschreibung
Unterstützungsebene
Dateisystem
Repository Microkernel (TAR MK-Dateien)
Unterstützt
MongoDB Enterprise 5.0
Repository-Mikrokernel
Unterstützt
MongoDB Enterprise 6.0
Repository-Mikrokernel
Unterstützt
Oracle-Datenbank 19c (Standard, Real Application Clusters (RAC) und Enterprise-Editionen)
Repository Microkernal
Unterstützt
Repository-Mikrokernel
Unterstützt
Microsoft® SQL Server 2019
Repository-Mikrokernel
Unterstützt
IBM® DB2® 11.1 (veraltet)
Repository-Mikro-Kernel
R: Eingeschränkte Unterstützung
MySQL 8.0.27
-
R: Eingeschränkte Unterstützung
  • IBM® DB2® wird bei Neuinstallationen nicht unterstützt. Es wird nur für bestehende Kundinnen und Kunden unterstützt, die auf AEM 6.5 Forms aktualisieren.
  • MongoDB ist eine Drittanbieter-Software und nicht im AEM-Lizenzierungspaket enthalten. Weitere Informationen finden Sie in der MongoDB-Lizenzierungsrichtlinie.
  • Adobe empfiehlt die Lizenzierung der MongoDB Enterprise-Version, damit Sie von professioneller Unterstützung profitieren und die AEM-Bereitstellung optimal nutzen können.
  • Die Adobe-Kundenunterstützung hilft beim Qualifizieren von Problemen, die mit der Verwendung von MongoDB mit AEM in Zusammenhang stehen. Weitere Informationen finden Sie auf der Seite von MongoDB für Adobe Experience Manager.
  • „Dateisystem“ umfasst den POSIX-konformen Blockspeicher. Dazu gehört auch die Netzwerkspeichertechnologie. Beachten Sie, dass die Leistung des Dateisystems variieren und die Gesamtleistung beeinflussen kann. Es wird empfohlen, AEM mit dem Netzwerk-/Remote-Dateisystem zu laden und zu testen.
  • Nur MongoDB Storage Engine WiredTiger wird unterstützt.
  • MongoDB Sharding wird in AEM nicht unterstützt.
  • AEM Forms on JEE unterstützt MySQL für RDBMK-Persistenz nicht.
  • Das Document Security-Modul verwendet nicht das Content-Repository. Das bedeutet, wenn Sie nur Document Security und nicht HTML Workspace, HTML5 Forms und adaptive Formulare verwenden möchten, müssen Sie das Content-Repository nicht installieren.
  • AEM Forms auf JEE unterstützt nicht die Verwendung von MySQL für das persistente AEM Repository (CRX-Repository).

Datenbanktreiber database-drivers

Datenbank
Plattform
Unterstützte Patch-Definitionen
MySQL

MySQL Connector/J 5.7

mysql-connector-java-5.1.44-bin.jar (Version 5.1.44)

AEM Forms on JEE-Installation im Paket enthalten
Microsoft® SQL Server

Microsoft® SQL Server JDBC-Treiber 8.2.2

sqljdbc8.jar

Laden Sie dies von der Microsoft®-Website herunter.
Oracle

Oracle Database 19.3.0.0.0 JDBC-Treiber

ojdbc8.jar (Version 19.3.0.0.0)

Download von Oracle-Website.

Anwendungsserver application-servers

Plattform
Unterstützungsebene
Unterstützte Patch-Definitionen
Oracle WebLogic Server 12.2.1 (12c R2) (veraltet) [9]
A: Unterstützt
Service Pack und wichtige Updates
Oracle WebLogic Server 14c [9]
A: Unterstützt
Service Pack und wichtige Updates
IBM® WebSphere® Application Server 9.0.0.10 [1] [4]
A: Unterstützt
Service Pack und wichtige Updates
JBoss® Enterprise Application-Plattform (EAP) 7.4 [2] [3] [7]
A: Unterstützt
Patches und kumulative Patches für die unterstützte EAP-Version
NOTE
IBM® WebSphere®-Cluster werden nur in Network Deployment-Editionen unterstützt.

Server-Betriebssysteme server-operating-systems

Produktionsumgebungen production-environments

Plattform
Unterstützungsebene
Unterstützte Patch-Definitionen
Microsoft® Windows Server 2019 (64 Bit) (veraltet)
A: Unterstützt
Service Packs und wichtige Updates
Microsoft® Windows Server 2022 (64 Bit)
A: Unterstützt
Service Packs und wichtige Updates
Ubuntu 20.04
A: Unterstützt
Service Packs und wichtige Updates
Red Hat® Enterprise Linux® 8 (Kernel 4.x) (64 Bit)
A: Unterstützt
Nebenversionen, kumulative Updates und wichtige Updates
Red Hat® Enterprise Linux® 7 (Kernel 3.x) (64 Bit) (veraltet)
A: Unterstützt
Nebenversionen, kumulative Updates und wichtige Updates
SUSE® Linux® Enterprise Server 12 (64-Bit)
A: Unterstützt
Service Packs, kumulative Patches und wichtige Sicherheitsupdates
Oracle Linux® 7 Update 3 (64 Bit)
A: Unterstützt
Service Packs, kumulative Patches und wichtige Sicherheitsupdates
CentOS 7 (64-Bit) [6]
A: Unterstützt
Service Packs, kumulative Patches und wichtige Sicherheitsupdates

Virtualisierte Umgebung virtualized-environment

Sie können AEM Forms on JEE auf einem physischen Computer oder in einer virtuellen Umgebung ausführen. Wenn Sie mit AEM Forms in einer virtuellen Umgebung auf Probleme stoßen, versuchen Sie, das Problem auf einer physischen Maschine zu reproduzieren. Wenn das Problem auf dem physischen Computer weiterhin besteht, wenden Sie sich in Hinblick auf Unterstützung an den Adobe-Support. Bei Problemen, die Sie auf einem physischen Computer nicht replizieren können, wenden Sie sich an den Verkäufer Ihrer virtuellen Umgebung.

Entwicklungsumgebungen development-environments

Plattform (Basisversion)
Unterstützungsebene
Unterstützte Patch-Definitionen
Microsoft® Windows® 10 64-Bit
E: Funktionsfähigkeit wird erwartet
Service Pack und wichtige Updates

Ausnahmen für unterstützte Server-Plattformen exceptions-to-supported-server-platforms

Beachten Sie die folgenden Ausnahmen, wenn Sie eine Plattform auswählen, auf der Sie AEM Forms on JEE-Server einrichten.

  1. AEM Forms on JEE unterstützt IBM® WebSphere® mit MySQL nicht.
  2. AEM Forms on JEE unterstützt JBoss® unter SUSE® Linux® Enterprise Server 12 nicht. Nur IBM® WebSphere® wird auf SUSE® Linux® Enterprise Server 12 unterstützt.
  3. AEM Forms on JEE unterstützt kein anderes JDK mit JBoss® als Oracle Java™ SE.
  4. AEM Forms on JEE unterstützt kein anderes JDK mit IBM® WebSphere® als IBM® JDK.
  5. CRX-Repository unterstützt Persistenz des Typs TarMK, MongoDB und relationale Datenbanken (RDBMK). Sie dürfen nicht zwei verschiedene Datenbanksysteme zwischen dem Anwendungsserver und dem CRX-Repository haben. In einer AEM Forms on JEE-Umgebung können Sie MongoMK jedoch mit dem CRX-Repository und einer unterstützten relationalen Datenbank mit Anwendungsserver verwenden.
  6. AEM Forms on JEE unterstützt keinen WebSphere®-Anwendungs-Server unter CentOS.
  7. AEM Forms on JEE unterstützt keine rollenbasierte Zugriffssteuerung (RBAC) für JBoss®.
  8. AEM Forms on JEE unterstützt Oracle Java™ SE 11 (64 Bit) SDK nur für Anwendungs-Server® JBoss EAP 7.4.
  9. JDK-Versionen, die höher als 1.8.0_281 sind, werden für WebLogic-Server nicht unterstützt. (FORMS-8498)
  10. JDK 11.0.20 wird zur Installation des AEM Forms auf JEE-Installationsprogramms nicht unterstützt. Nur JDK 11.0.19 oder frühere Versionen werden zur Installation des AEM Forms on JEE-Installationsprogramms unterstützt.

Außerdem sollten Sie die folgenden Punkte beachten, wenn Sie die Software für Implementierungen von Adobe AEM Forms on JEE auswählen:

  • AEM Forms on JEE unterstützt Updates, Patches und Fix Packs zusätzlich zu der angegebenen Haupt- oder Nebenversion der unterstützten Software. Das Update auf die nächste Haupt- oder Nebenversion wird jedoch nur unterstützt wenn entsprechend angegeben.
  • Cluster-basierte Installationen unterstützen keine TarMK-Persistenz.  Weitere Informationen zur unterstützten Persistenz finden Sie unter Auswählen eines Persistenztyps für eine AEM Forms-Installation.
  • AEM Forms on JEE unterstützt die Software verschiedener Drittanbieter gemäß der Richtlinie zur Unterstützung der Software von Drittanbietern von Adobe.
  • AEM Forms on JEE unterstützt Plattformen in Abhängigkeit der Unterstützung durch Drittanbieter.  Einige Kombinationen werden von Drittanbietern möglicherweise nicht zugelassen. Zum Beispiel haben viele Anbieter ihre Anwendungsserver nicht mit Oracle zertifiziert. Daher unterstützt auch AEM Forms on JEE diese Kombinationen nicht.  Um sicherzugehen, dass Sie die unterstützten Softwareversionen auswählen, sollten Sie auch die Support-Matrix dieser Drittanbieter überprüfen.
  • AEM Forms auf JEE unterstützt keine TarMK Cold Standby.
  • AEM Forms auf JEE unterstützt kein vertikales Clustering.
  • AEM Forms on JEE unterstützt keine MySQL-Datenbank in einer Clusterumgebung.
  • Eine Liste der entfernten bzw. der aktualisierten Plattformen finden Sie in dem Dokument AEM 6.5 Forms - Übersicht über die neuen Funktionen.

LDAP-Server (optional) ldap-servers-optional

Produkt (Basisversion)
Unterstützte Patch-Definitionen
Microsoft® Active Directory 2016 (veraltet)
Wartungsversion und Fixpacks
Microsoft® Active Directory 2022
Wartungsversion und Fixpacks
IBM® Tivoli Directory Server 6.4
Feature Packs und Zwischenkorrekturen

E-Mail-Server (optional) email-servers-optional

Produkt
Microsoft® Exchange 2013
Microsoft® Office 365

Content-Manager und entsprechende Connectoren content-managers-and-corresponding-connectors

Produkt
Version
EMC Documentum®
7.3
IBM® FileNet
5.5.2
IBM® Content Manager Server (veraltet)
8.5 Fixpack 2
IBM® Content Manager Client (veraltet)
8.5
Microsoft® Sharepoint
2019

Unterstützung für Cordova support-for-cordova

AEM Forms App unterstützt jetzt Apache Cordova. Die folgenden plattformspezifischen Versionen von Cordova werden unterstützt:

  • Apache Cordova 6.4.0
  • Cordova iOS 4.3.0
  • Cordova Android™ 6.0.0
  • Cordova Windows 4.4.3

Software-Support für PDF Generator software-support-for-pdf-generator

Produkt
Unterstützte Formate für die Konvertierung ins PDF-Format
Klassischer Modus von Acrobat 2020 neueste Version
XPS, Bildformate (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF und DWF
Microsoft® Office 2019
DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF und TXT
WordPerfect 2020
WP, WPD
Microsoft® Publisher 2019
PUB
OpenOffice 4.1.10
ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, Bildformate (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, RTF und TXT
NOTE
PDF Generator unterstützt nur englische, französische, deutsche und japanische Versionen der unterstützten Betriebssysteme und Anwendungen.
Außerdem:
  • PDF Generator unterstützt nur die 32-Bit-Einzelhandelsversion von Microsoft® Office Professional Plus und andere für die Konvertierung erforderliche Software.
  • PDF Generator unterstützt nicht Microsoft® Office 365.
  • PDF Generator-Konvertierungen für OpenOffice werden nur unter Windows und Linux unterstützt®.
  • Die Funktionen von OCR PDF, PDF optimieren und PDF erstellen werden nur unter Windows unterstützt.
  • Eine Version von Acrobat ist im Lieferumfang von AEM Forms enthalten, um die PDF Generator-Funktionalität zu aktivieren. Die gebündelte Version sollte während der Laufzeit der AEM Forms-Lizenz zur Verwendung mit AEM Forms PDF Generator nur programmatisch mit AEM Forms zugänglich sein. Weitere Informationen finden Sie in der AEM Forms-Produktbeschreibung entsprechend Ihrer Implementierung (On-Premise oder Managed Services)"
  • Der PDF Generator-Service unterstützt nicht Microsoft® Windows 10.
  • PDF Generator kann keine Dateien mit Microsoft® Visio 2019 konvertieren.
  • PDF Generator kann keine Dateien mit Microsoft® Project 2019 konvertieren.
  • Wenn eine Microsoft® Office-Installation aus irgendeinem Grund deaktiviert oder nicht lizenziert wird, z. B. wenn eine lizenzierte Volumeninstallation einen KMS-Host nicht innerhalb eines bestimmten Zeitraums finden kann, können Konvertierungen fehlschlagen, bis die Installation neu lizenziert und reaktiviert wird.

Ausnahmen der Barrierefreiheit exceptions-to-accessibility-support

Die folgenden Untersysteme von AEM Forms sind nicht mit 508 kompatibel:

  • Benutzeroberfläche für das Authoring adaptiver Formulare
  • Forms Manager Authoring-Benutzeroberfläche
  • Benutzeroberfläche für Correspondence Management Authoring
  • Administrator-Benutzeroberfläche (Benutzeroberfläche der Administration Console)

Systemanforderungen für AEM Forms on JEE system-requirements-for-aem-forms-on-jee

Mindestanforderungen an die Hardware minimum-hardware-requirements

Plattform
Mindestanforderungen an die Hardware
Microsoft® Windows Server
Intel Xeon® E5-2680, 2,4-GHz-Prozessor oder ähnlich
VMWare ESX 5.1 oder höher
RAM: 6 GB (64-Bit-Betriebssystem mit 64-Bit-JVM)
Freier Speicherplatz: 15 GB temporärer Speicherplatz plus 22 GB
für AEM Forms on JEE
SUSE® Linux® Enterprise Server
Intel Xeon® E5-2670v2, 1 vCPU, 2,5 GHz-Prozessor
AWS m3.medium (3 ECUs)
RAM: 6 GB (64 Bit OS mit 64 Bit JVM)
Freier Speicherplatz: 6 GB temporärer Speicherplatz plus 22 GB
für AEM Forms on JEE
Red Hat® Enterprise Linux®
Intel Xeon® E5-2670v2, 1 vCPU, 2,5 GHz-Prozessor
AWS m3.medium (3 ECUs)
RAM: 6 GB (64 Bit OS mit 64 Bit JVM)
Freier Speicherplatz: 6 GB temporärer Speicherplatz plus 22 GB
für AEM Forms on JEE
Hardware-Anforderungen für kleine Produktionsumgebungen
  • Intel®-gestützte Umgebung: Intel Xeon® E5-2680, 2,4 GHz oder höher. Durch die Verwendung eines Dual-Core-Prozessors wird die Leistung weiter verbessert
  • Speicher: 4 GB

Für zusätzliche Anforderungen siehe:

Unterstützte Clients für AEM Forms on JEE supported-clients-for-aem-forms-on-jee

Workbench workbench

Plattform
Unterstützte Patch-Definitionen

Microsoft® Windows® 10 (Enterprise, Pro, Basic)

32-Bit- oder 64-Bit-Version

Service Packs und wichtige Updates
Microsoft® Windows® 2019 Server (veraltet)
Service Packs und wichtige Updates
Microsoft® Windows® 2022 Server
Service Packs und wichtige Updates
  • Erforderlicher Speicherplatz auf der Festplatte: 1,7 GB nur für Workbench, 2,7 GB auf einem einzelnen Laufwerk für eine vollständige Installation von Workbench, Designer und der Assembly mit den Beispielen, 400 MB für temporäre Installationsordner: 200 MB im Ordner „temp“ des Benutzers und 200 MB im temporären Ordner von Windows. Wenn sich diese Speicherorte alle auf einem einzigen Laufwerk befinden, müssen während der Installation 1,5 GB Speicherplatz zur Verfügung stehen. Die Dateien, die in die temporären Ordner kopiert werden, werden nach Abschluss der Installation gelöscht.

  • Speicher für Ausführung von Workbench: 2 GB RAM

  • Hardware-Anforderung: Intel® Pentium® 4 oder gleichwertiger AMD®-Prozessor, 1 GHz-Prozessor

  • Minimale Bildschirmauflösung 1024 x 768 Pixel oder höher mit 16-Bit-Farbtiefe oder höher

  • TCP/IPv4- oder TCP/IPv6-Netzwerkverbindung zum AEM Forms on JEE-Server

  • Unter Windows müssen Sie über Administratorrechte verfügen, um Workbench installieren zu können. Wenn Sie die Installation mit einem Konto ohne Administratorrechte durchführen, werden Sie vom Installationsprogramm zur Eingabe der Anmeldeinformationen für ein entsprechendes Konto aufgefordert.

Designer designer

  • Microsoft® Windows® 2016 Server, Microsoft® Windows® 2019 Server, Microsoft® Windows® 10 oder Windows® 11
  • Prozessor mit 1 GHz oder höher mit Unterstützung für PAE, NX und SSE2.
  • 1 GB RAM für 32-Bit-Betriebssysteme oder 2 GB RAM für 64-Bit-Betriebssysteme
  • 16 GB Speicherplatz für 32-Bit-Betriebssysteme oder 20 GB Speicherplatz für 64-Bit-Betriebssysteme
  • Grafikspeicher – 128 MB GPU (256 MB empfohlen)
  • 2,35 GB verfügbarer Festplattenspeicher
  • Bildschirmauflösung 1024 x 768 Pixel oder höher
  • Beschleuniger für Video-Hardware (optional)
  • Acrobat Pro DC, Acrobat Standard DC oder Adobe Acrobat Reader DC
  • Administratorrechte für die Installation von Designer
  • Microsoft® Visual C++ 2019 (VC 14.28 oder höher) 32-Bit-Runtime

Adobe Acrobat und Adobe Reader adobe-acrobat-and-adobe-reader

Acrobat und Adobe Reader (Basisversion)
Unterstützte Patch-Definitionen
Acrobat 2020 (Classic)
Version 20.004.30006 oder neuer
NOTE
Die Acrobat DC-Produktfamilie führt zwei Linien für Acrobat und Reader ein, wobei es sich um zwei verschiedene Produkte handelt: „Klassik“ und „Fortlaufend“. Weitere Informationen und einen Vergleich der beiden Linien finden Sie unter https://www.adobe.com/devnet-docs/acrobatetk/tools/AdminGuide/whatsnewdc.html.

Browser browsers

Desktops desktops

Browser (Basisversion)
Unterstützungsebene
Unterstützte Patch-Definitionen
Microsoft® Edge (Evergreen)
A: Unterstützt
Service Packs und Updates
Mozilla Firefox (Evergreen)
A: Unterstützt
Alle Updates
Mozilla Firefox ESR
E: Funktionsfähigkeit wird erwartet
Alle Updates
Google Chrome (Evergreen)
A: Unterstützt
Alle Updates
Apple Safari unter macOS
A: Unterstützt
Alle Updates
NOTE
Für Desktops gelten die folgenden Browser-bedingten Ausnahmen:
  • Safari wird nur unter Mac OS X unterstützt.
  • Workspace unterstützt Safari 5.1 unter Macintosh OS X 10.6 und 10.7 mit Acrobat DC oder höheren Versionen. Weitere Informationen zur Kompatibilität von Safari 5.1 mit Adobe Acrobat Reader finden Sie unter https://helpx.adobe.com/de/x-productkb/multi/safari-5-1-incompatible-reader.html.
  • Administration Console wird in Safari nicht unterstützt.
  • Correspondence Management unterstützt nicht Windows® Internet Explorer 9.0 für AEM 6.1-Formulare.
  • Das Formularportal unterstützt die JAWS 14.0-Bildschirmlesehilfe-Software in Internet Explorer 11 für einen leichteren Zugriff.

Mobile Clients mobile-clients

Browser (Basisversion)
Unterstützte Patch-Definitionen
Chrome für Android™ 4.1.2 und höher
Alle Updates
Safari unter iOS 15.1 und höher
Alle Updates
Microsoft® Edge
Alle Updates
Nativer Android™-Browser für Android™ 4.4 und höher
Alle Updates
NOTE
  • Forms Portal wird nur auf einem iPad nur in Safari unterstützt.

AEM Forms-App aem-forms-workspace-app

Unterstützung für Mobilgeräte mobile-device-support

Die AEM Forms-Mobile App ist für die folgenden Plattformen verfügbar:

Plattform
Unterstützte Geräte
Apple iOS
Apple iPhone, iPad, iPad Air und iPad mini mit iOS 15.1 und höher.
Google Android™
Android™ 5.1 und höher. Die AEM Forms-Mobile App ist für Samsung Galaxy-Tablets (7 und 10 Zoll) und beliebte Smartphone-Modelle zertifiziert.
Microsoft® Windows
Microsoft® Surface-Geräte, Tablets, Laptops und Desktops mit Microsoft® Windows 10.

Adobe Document Security Extension für Microsoft® Office adobe-rights-management-extension-for-microsoft-office

Klicken Sie hier, um die Systemanforderungen für Adobe Document Security Extension for Microsoft® Office anzuzeigen.

Ausnahmen der Clientunterstützung exceptions-to-client-support

AEM Forms on JEE unterstützt Updates, Patches und Fix Packs zusätzlich zu der angegebenen Haupt- oder Nebenversion der unterstützten Software. Das Update auf die nächste Haupt- oder Nebenversion wird jedoch nur unterstützt wenn entsprechend angegeben.

Richtlinie zur Unterstützung für Patches von Drittanbietern third-party-patch-support-policy

Die Anforderungen an Drittpartei-Software für AEM Forms on JEE werden im Abschnitt „Systemanforderungen“ der jeweiligen Produktdokumente erläutert. Die gesamte Dokumentation ist unter https://adobe.com/go/learn_aemforms_documentation_65_de verfügbar.

Die Referenzplattformen von AEM Forms on JEE von Drittanbietern geben den spezifischen Patch-Level der Infrastruktur von Drittanbietern an, der während der Entwicklung und Veröffentlichung von AEM Forms on JEE aktuell war, sowie den minimalen Patch-/Service Pack-Level der Infrastruktur, die von dieser Version von AEM Forms on JEE unterstützt wird.

Adobe unterstützt dringende oder empfohlene Patches von Drittanbietern und geht bei deren Veröffentlichung davon aus, dass Drittanbieter die Abwärtskompatibilität mit den Versionen gewährleisten, die AEM Forms on JEE unterstützt. Adobe unterstützt nur Patches, die nach dem in der Dokumentation von AEM Forms on JEE angegebenen Mindest-Patchlevel veröffentlicht wurden.

In einigen Fällen unterstützt Adobe keine Updates von Drittanbietern, die Hauptfunktionen verändern und dadurch keine vollständige Abwärtskompatibilität gewährleisten. Einzelheiten zu den unterstützten Updates finden Sie unter Unterstützte Patch-Definitionen für bestimmte Herstellerprodukte und die von Adobe unterstützten Arten von Patches.

Unter Umständen, die außerhalb der Kontrolle von Adobe liegen, können Patches von Drittanbietern, die Abwärtskompatibilität beanspruchen, negative Auswirkungen auf die Produkte von Adobe oder die Kundenumgebung haben. Für diese Fällen empfiehlt Adobe der Kundschaft, die Auswirkungen dringender Drittanbieter-Patches vor ihrer Anwendung in kritischen Systemen zunächst zu prüfen. Adobe wird mit Drittanbietern zusammen die entsprechenden geschäftlichen Anstrengungen unternehmen, um solche Probleme zu beheben, entweder durch die üblichen Adobe-Support-Programme oder, indem Drittanbieter das Problem in ihrem Patch beheben. Dies ist keine Garantie dafür, dass ein neu veröffentlichtes Drittanbieter-Patch, das von Adobe unterstützt wird, wie in der Dokumentation des Anbieters funktioniert oder mit AEM Forms on JEE kompatibel ist.

Adobe behält sich das Recht vor, die von einer Version von AEM Forms on JEE unterstützten Referenzplattformen von Drittanbietern und deren unterstützte Patch-Definitionen jederzeit zu ändern.

Weitere Informationen über Patches von Drittanbietern erhalten Sie auch auf der Adobe Enterprise-Support-Seite, indem Sie nach Knowledgebase-Artikeln für Ihr jeweiliges Produkt suchen.

Revisionsverlauf revision-history

Version 6.5.19.1 (15. Dezember 2023)

Hinzugefügte Unterstützung
Support entfernt
Veraltete Unterstützung
MongoDB Enterprise 6.0
MongoDB Enterprise 4.4
MongoDB Enterprise 5.0

Version 6.5.18.0 (31. August 2023)

Hinzugefügte Unterstützung
Support entfernt
Veraltete Unterstützung
MongoDB Enterprise 4.4
Windows Server 2016 (64 Bit)
Microsoft® Windows Server 2019 (64 Bit)
Oracle WebLogic Server 14c
MongoDB Enterprise 4.0
Microsoft® Active Directory 2016
My SQL JDBC Connector 8
Oracle-Datenbank 12c Version 2 (12.2.0.1.0)
Active Directory 2022
MySQL 5.7.35
Microsoft® Windows Server 2022 (64 Bit)
Microsoft® SQL Server 2016
JBoss® EAP 7.1.4
My SQL JDBC Connector 5.1.44
Microsoft® SQL Server JDBC-Treiber 6.2.1.0
Microsoft® SQL Server JDBC-Treiber 6.2.2.0
Microsoft® JDBC-Treiber 8.x für SQL Server
Support entfernt (PDF Generator und Allgemein):
Microsoft® Sharepoint 2016
Microsoft® Office 2016
Microsoft® Office Visio 2016
Microsoft® Publisher 2016
Microsoft® Project 2016
OpenOffice 4.1.2
Acrobat 2017 (klassische Version) Version 17.011.30078 oder höher

Version 6.5.13.0 (2. Juni 2022)

Hinzugefügte Unterstützung
Support entfernt
Veraltete Unterstützung
Microsoft® SharePoint 2016

Version 6.5.12.0 (3. März 2022)

Hinzugefügte Unterstützung
Support entfernt
Veraltete Unterstützung
IBM® J9 Virtual Machine (Build 2.8, JRE 1.8.0)
MongoDB Enterprise 4.0
Oracle-Datenbank 12c Version 1
MongoDB Enterprise 4.2
Oracle Database 18c
IBM® DB2® 11.1
Oracle Unified Directory (OUD) 11g Version 2
Oracle-Datenbank 12c Version 2
IBM® Lotus Domino 9.0
MySQL 5.7.35
IBM® FileNet 5.2
Microsoft® SQL Server JDBC-Treiber 6.2.1.0
Adobe Flash Player
JBoss® Enterprise Application-Plattform (EAP) 7.1.4
IBM® Content Manager Server 8.5 Fix Pack 2
IBM® Content Manager Client 8.5
Microsoft® SQL Server 2016
Microsoft® Windows Server 2016

Version 6.5.10.0 (01. September 2022)

Hinzugefügte Unterstützung
Support entfernt
Veraltete Unterstützung
Oracle Java™ SE 11 (64 Bit) SDK für Anwendungsserver JBoss® EAP 7.4.
Adobe Acrobat 2017 - Die Kernunterstützung für Adobe Acrobat 2017 endet am 6. Juni 2022.
Red Hat® Enterprise Linux® 7 (Kernel 3.x) (64 Bit)
Microsoft® Windows Server 2016 (64 Bit)
Microsoft® Office 2016
OpenOffice 4.1.2
NOTE
Eine veraltete Plattform erhält weiterhin Unterstützung, bis die nächste vollständige Version des Installationsprogramms veröffentlicht wird oder bis die Unterstützung des Drittanbieters für die Plattform das Ende der Unterstützung erreicht hat, je nachdem, was früher eintritt.
recommendation-more-help
19ffd973-7af2-44d0-84b5-d547b0dffee2